cdac.medinfo.sdk.hl7282.baselibs

## Class MOC

- java.lang.Object
- - cdac.medinfo.sdk.hl7282.baselibs.CompositeDataType
  - - cdac.medinfo.sdk.hl7282.baselibs.MOC

- All Implemented Interfaces:
    IDataType

      public class MOC
      extends CompositeDataType

  MOC - Money and Charge Code

  This data type transmits monetary information and the associated charge code for services performed.

  Represents an HL7 MOC data type. This data type has the following attributes:

  1. Monetary Amount (MO)Optional
  2. Charge Code (CWE)Optional

  This class provides accessors & mutators for the elements mentioned above. This class override the equal method, to check whether some other object is "equal to" this one.

  User can also create Data Type through `DataElementFactory`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MOC()` Default Constructor for MOC
    `MOC(int iComponentType, IDataTypeMap objIDataTypeMap)` Constructor for MOC class which takes two arguments and sets the value in the respective member variable.
    `MOC(int iComponentType, int iMinLength, int iMaxLength, java.lang.String strCLength, IDataTypeMap objIDataTypeMap)` Constructor for MOC class which takes five arguments and sets the value in the respective member variable.
    `MOC(int iComponentType, int iMinLength, int iMaxLength, java.lang.String strCLength, int ITableNo, IDataTypeMap objIDataTypeMap)` Constructor for MOC class which takes six arguments and sets the value in the respective member variable.
    `MOC(int iMinLength, int iMaxLength, java.lang.String strCLength, int iComponentType)` Constructor for MOC class which takes four arguments and sets the value in the respective member variable.
    `MOC(int iMinLength, int iMaxLength, java.lang.String strCLength, int iTableNo, int iComponentType)` Constructor for MOC class which takes five arguments and sets the value in the respective member variable.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object objObject)` This method checks the equality of Object.
    `CWE` | `getChargeCode()` Returns Charge Code
    `MO` | `getMonetaryAmount()` Returns Monetary Amount
    `void` | `setChargeCode(CWE objChargeCode)` Sets the ChargeCode.
    `void` | `setMonetaryAmount(MO objMonetaryAmount)` Sets the MonetaryAmount.

    - ### Methods inherited from class cdac.medinfo.sdk.hl7282.baselibs.CompositeDataType

      `copy, dumpDataType, getAttributes, getDataTypeName, getLength, getValue, isPrimitive, read, setValue, validate, write, writeToXML`

    - ### Methods inherited from class java.lang.Object

      `getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MOC

          public MOC()

      Default Constructor for MOC

    - #### MOC

          public MOC(int iMinLength,
             int iMaxLength,
             java.lang.String strCLength,
             int iComponentType)
              throws InvalidComponentTypeException

      Constructor for MOC class which takes four arguments and sets the value in the respective member variable.
      Parameters:
        `iMinLength` - The Minimum length the DataType can have.
        `iMaxLength` - The Maximum length the DataType can have.
        `iCLength` - The Conformance length the DataType can have.
        `iComponentType` - The Type of the component i.e Component or a subcomponent.
      Throws:
        `InvalidComponentTypeException` - - if Component Type is not specified or valid.

    - #### MOC

          public MOC(int iMinLength,
             int iMaxLength,
             java.lang.String strCLength,
             int iTableNo,
             int iComponentType)
              throws InvalidComponentTypeException

      Constructor for MOC class which takes five arguments and sets the value in the respective member variable.
      Parameters:
        `iMinLength` - The Minimum length the DataType can have.
        `iMaxLength` - The Maximum length the DataType can have.
        `iCLength` - The Conformance length the DataType can have.
        `iTableNo` - The Table number to which the value for the component is specified.
        `iComponentType` - The Type of the component i.e Component or a subcomponent.
      Throws:
        `InvalidComponentTypeException` - - if Component Type is not specified or valid.

    - #### MOC

          public MOC(int iComponentType,
             IDataTypeMap objIDataTypeMap)

      Constructor for MOC class which takes two arguments and sets the value in the respective member variable.
      Parameters:
        `objIDataTypeMap` - object of Data Type Map.
        `iComponentType` - The Type of the component i.e Component or a subcomponent.
      Throws:
        `InvalidComponentTypeException` - - if Component Type is not specified or valid.

    - #### MOC

          public MOC(int iComponentType,
             int iMinLength,
             int iMaxLength,
             java.lang.String strCLength,
             IDataTypeMap objIDataTypeMap)

      Constructor for MOC class which takes five arguments and sets the value in the respective member variable.
      Parameters:
        `objIDataTypeMap` - object of Data Type Map.
        `iComponentType` - The Type of the component i.e Component or a subcomponent.
        `iMinLength` - The Minimum length the DataType can have.
        `iMaxLength` - The Maximum length the DataType can have.
        `iCLength` - The Conformance length the DataType can have.
      Throws:
        `InvalidComponentTypeException` - - if Component Type is not specified or valid.

    - #### MOC

          public MOC(int iComponentType,
             int iMinLength,
             int iMaxLength,
             java.lang.String strCLength,
             int ITableNo,
             IDataTypeMap objIDataTypeMap)

      Constructor for MOC class which takes six arguments and sets the value in the respective member variable.
      Parameters:
        `objIDataTypeMap` - object of Data Type Map.
        `iComponentType` - The Type of the component i.e Component or a subcomponent.
        `iMinLength` - The Minimum length the DataType can have.
        `iMaxLength` - The Maximum length the DataType can have.
        `iCLength` - The Conformance length the DataType can have.
        `iTableNo` - The Table number to which the value for the component is specified.
      Throws:
        `InvalidComponentTypeException` - - if Component Type is not specified or valid.

  - ### Method Detail

    - #### setMonetaryAmount

          public void setMonetaryAmount(MO objMonetaryAmount)

      Sets the MonetaryAmount.
      Parameters:
        `objMonetaryAmount` - Specifies the amount and denomination of money associated with the charge code.

    - #### setChargeCode

          public void setChargeCode(CWE objChargeCode)

      Sets the ChargeCode.
      Parameters:
        `objChargeCode` - Specifies code identifying the charge to the ordering entity for the services performed.

    - #### getMonetaryAmount

          public MO getMonetaryAmount()

      Returns Monetary Amount
      Returns:
        MO - data type.

    - #### getChargeCode

          public CWE getChargeCode()

      Returns Charge Code
      Returns:
        CE - data type.

    - #### equals

          public boolean equals(java.lang.Object objObject)

      This method checks the equality of Object.
      Overrides:
        `equals` in class `java.lang.Object`
      Parameters:
        `objObject` - object of Object class.
      Returns:
        boolean - shows success or failure of the comparison.